Create a replay
POST
/v1/webhook-endpoints/{endpointId}/deliveries/{deliveryId}/replayscurl -X POST 'https://api.embodiflow.io/v1/webhook-endpoints/{endpointId}/deliveries/{deliveryId}/replays' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- endpointIdstring必填
- deliveryIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
响应
Success
- dataobject必填
- idstring必填
- endpointIdstring必填
- eventIdstring必填
- eventTypestring必填
- occurredAtstring必填
- statestring必填可选值queuedfailedleaseddelivered
- attemptCountnumber必填
- firstAttemptAtstring | null必填
- lastAttemptAtstring | null必填
- responseStatusnumber | null必填
- failureCodestring | null必填
- createdAtstring必填
- metaobject必填
- requestIdstring必填
响应示例
{
"data": {
"id": "string",
"endpointId": "string",
"eventId": "string",
"eventType": "string",
"occurredAt": "string",
"state": "queued",
"attemptCount": 0,
"firstAttemptAt": "string",
"lastAttemptAt": "string",
"responseStatus": 0,
"failureCode": "string",
"createdAt": "string"
},
"meta": {
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1